package file_reader

import (
	"context"
	"fmt"

	"github.com/werf/logboek"
)

func (r FileReader) IsGiterminismConfigExistAnywhere(ctx context.Context, relPath string) (exist bool, err error) {
	logboek.Context(ctx).Debug().
		LogBlock("IsGiterminismConfigExistAnywhere").
		Options(applyDebugToLogboek).
		Do(func() {
			exist, err = r.IsConfigurationFileExistAnywhere(ctx, relPath)

			if debug() {
				logboek.Context(ctx).Debug().LogF("exist: %v\nerr: %q\n", exist, err)
			}
		})

	return
}

func (r FileReader) ReadGiterminismConfig(ctx context.Context, relPath string) (data []byte, err error) {
	logboek.Context(ctx).Debug().
		LogBlock("ReadGiterminismConfig").
		Options(applyDebugToLogboek).
		Do(func() {
			data, err = r.readGiterminismConfig(ctx, relPath)

			if debug() {
				logboek.Context(ctx).Debug().LogF("dataLength: %v\nerr: %q\n", len(data), err)
			}
		})

	if err != nil {
		return nil, fmt.Errorf("unable to read werf giterminism config: %w", err)
	}

	return
}

func (r FileReader) readGiterminismConfig(ctx context.Context, relPath string) ([]byte, error) {
	return r.ReadAndCheckConfigurationFile(ctx, relPath, func(_ string) bool {
		return false
	}, func(path string) (bool, error) {
		return r.IsRegularFileExist(ctx, path)
	})
}
