package util

import (
	"crypto/sha256"
	"fmt"
	"strings"

	"github.com/spaolacci/murmur3"
	"golang.org/x/crypto/sha3"
)

// TODO: remove murmurhash, use sha256 for file locks
func MurmurHash(args ...string) string {
	h32 := murmur3.New32()
	h32.Write([]byte(strings.Join(args, ":::")))
	sum := h32.Sum32()
	return fmt.Sprintf("%x", sum)
}

func Sha3_224Hash(args ...string) string {
	sum := sha3.Sum224([]byte(prepareHashArgs(args...)))
	return fmt.Sprintf("%x", sum)
}

func Sha256Hash(args ...string) string {
	sum := sha256.Sum256([]byte(prepareHashArgs(args...)))
	return fmt.Sprintf("%x", sum)
}

func prepareHashArgs(args ...string) string {
	return strings.Join(args, ":::")
}
